mscorlib 2.0.0.0 4.0.0.0 System.Runtime.InteropServices.Guid("0000000f-0000-0000-c000-000000000046") System.Runtime.InteropServices.InterfaceType(System.Runtime.InteropServices.ComInterfaceType.InterfaceIsIUnknown)

For more information about the IMoniker, IPersist, and IPersistStream interfaces, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Provides the managed definition of the IMoniker interface, with COM functionality from IPersist and IPersistStream.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32

  For more information about IPersistStream::IsDirty, see the MSDN Library.

  Checks the object for changes since it was last saved.

  An S_OK HRESULT value if the object has changed; otherwise, an S_FALSE HRESULT value.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  For more information about IMoniker::IsEqual, see the MSDN Library.

  Compares the current moniker with a specified moniker and indicates whether they are identical.

  An S_OK HRESULT value if the monikers are identical; otherwise, an S_FALSE HRESULT value.

  A reference to the moniker to use for comparison.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` ``

  For more information about IMoniker::IsRunning, see the MSDN Library.

  Determines whether the object that is identified by the current moniker is currently loaded and running.

  An S_OK HRESULT value if the moniker is running; an S_FALSE HRESULT value if the moniker is not running; or an E_UNEXPECTED HRESULT value.

  A reference to the bind context to use in this binding operation. A reference to the moniker to the left of the current moniker if the current moniker is part of a composite. A reference to the moniker most recently added to the Running Object Table (ROT).
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  For more information about IPersistStream::Load, see the MSDN Library.

  Initializes an object from the stream where it was previously saved.

  The stream that the object is loaded from.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  For more information about IPersistStream::Save, see the MSDN Library.

  Saves an object to the specified stream.

  The stream to which the object is saved. true to clear the modified flag after the save is complete; otherwise false